> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Name Enquiry

> Verify bank account details if it is correct. The response returned should match the account number and account name of the user. This endpoint is currently limited to Nigeria(NGN) only



## OpenAPI

````yaml get /bank/name-enquiry
openapi: 3.0.1
info:
  title: Mavapay API
  description: API documentation for Mavapay
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Mavapay
    url: https://mavapay.co
    email: info@mavapay.co
servers:
  - url: https://staging.api.mavapay.co/api/v1
    description: Staging server
  - url: https://api.mavapay.co/api/v1
    description: Live server
security:
  - ApiKeyAuth: []
    bearerAuth: []
tags:
  - name: Price
    description: Price related endpoints
  - name: Payment Link
    description: Payment Link endpoints for creating and managing hosted payment pages
paths:
  /bank/name-enquiry:
    get:
      tags:
        - Bank Account
      summary: Verify bank account details if it is correct
      description: >-
        Verify bank account details if it is correct. The response returned
        should match the account number and account name of the user. This
        endpoint is currently limited to Nigeria(NGN) only
      operationId: getBankNameEnquiry
      parameters:
        - name: accountNumber
          in: query
          description: The account number to verify
          schema:
            type: string
            format: string
          required: true
        - name: bankCode
          in: query
          description: The bank code to verify
          schema:
            type: string
            format: string
          required: true
      responses:
        '200':
          description: Bank name enquiry response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankNameEnquiry'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BankNameEnquiry:
      type: object
      properties:
        status:
          type: string
          format: string
          example: ok
        message:
          type: string
          format: string
          example: Bank account name verified successfully
        data:
          type: object
          properties:
            accountName:
              type: string
              format: string
              example: Oladeji Olaolu
            accountNumber:
              type: string
              format: string
              example: '0123456789'
            kycLevel:
              type: string
              format: string
              example: '3'
            nameInquiryReference:
              type: string
              format: string
              example: '123456789'
            channelCode:
              type: string
              format: string
              example: '123456789'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        status:
          type: string
          format: string
          example: error
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    bearerAuth:
      type: http
      scheme: bearer

````